Show / Hide Table of Contents

# Enum CustomizeIndex

This enum describes the indices of the Customize array.

###### Namespace: Dalamud.Game.ClientState.Objects.Enums

###### Assembly: Dalamud.dll

##### Syntax

    public enum CustomizeIndex

### Fields

Name | Description
--- | ---
BustSize | The bust size of the character.
Eyebrows | The eyebrows of the character.
EyeColor | The eye color of the character.
EyeColor2 | The 2nd eye color of the character.
EyeShape | The eye shape of the character.
FaceFeatures | The face features of the character.
FaceFeaturesColor | The color of the face features of the character.
Facepaint | The face paint of the character.
FacepaintColor | The face paint color of the character.
FaceType | The face type of the character.
Gender | The gender of the character.
HairColor | The hair color of the character.
HairColor2 | The highlights hair color of the character.
HairStyle | The hair of the character.
HasHighlights | Whether or not the character has hair highlights.
Height | The height of the character.
JawShape | The jaw shape of the character.
LipColor | The lip color of the character.
LipStyle | The lip style of the character.
ModelType | The model type of the character.
NoseShape | The nose shape of the character.
Race | The race of the character.
RaceFeatureSize | The race feature size of the character.
RaceFeatureType | The race feature type of the character.
SkinColor | The skin color of the character.
Tribe | The tribe of the character.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()